> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /brreg/companies/search

> Search Norwegian legal entities in the Central Coordinating Register (Enhetsregisteret) by name and filters: organization number, organization form, NACE industry code, municipality, county, employee count range, registration date range, bankruptcy/liquidation status and registration flags. Returns the same record shape as brreg/companies.

**Price:** 5 credits per 100 results



## OpenAPI

````yaml /openapi/company-registries.json post /api/brreg/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/brreg/companies/search:
    post:
      tags:
        - /brreg
      summary: /brreg/companies/search
      description: >-
        Search Norwegian legal entities in the Central Coordinating Register
        (Enhetsregisteret) by name and filters: organization number,
        organization form, NACE industry code, municipality, county, employee
        count range, registration date range, bankruptcy/liquidation status and
        registration flags. Returns the same record shape as brreg/companies.


        **Price:** 5 credits per 100 results
      operationId: __api_brreg_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrregCompaniesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BrregCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BrregCompaniesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        name:
          anyOf:
            - type: string
            - type: 'null'
        organization_number:
          anyOf:
            - type: string
            - type: 'null'
        organization_form:
          anyOf:
            - $ref: '#/components/schemas/BrregOrgForm'
            - type: 'null'
        industry_code:
          anyOf:
            - type: string
            - type: 'null'
        municipality_number:
          anyOf:
            - type: string
            - type: 'null'
        county:
          anyOf:
            - type: string
            - type: 'null'
        from_employee_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        to_employee_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        from_registration_date:
          anyOf:
            - type: string
            - type: 'null'
        to_registration_date:
          anyOf:
            - type: string
            - type: 'null'
        bankruptcy:
          anyOf:
            - type: boolean
            - type: 'null'
        under_liquidation:
          anyOf:
            - type: boolean
            - type: 'null'
        under_forced_liquidation:
          anyOf:
            - type: boolean
            - type: 'null'
        registered_in_business_register:
          anyOf:
            - type: boolean
            - type: 'null'
        registered_in_vat_register:
          anyOf:
            - type: boolean
            - type: 'null'
        registered_in_voluntary_register:
          anyOf:
            - type: boolean
            - type: 'null'
        registered_in_foundation_register:
          anyOf:
            - type: boolean
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    BrregCompany:
      properties:
        '@type':
          type: string
          default: BrregCompany
        organization_number:
          type: string
        name:
          type: string
        organization_form:
          anyOf:
            - type: string
            - type: 'null'
        organization_form_description:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        foundation_date:
          anyOf:
            - type: string
            - type: 'null'
        statute_date:
          anyOf:
            - type: string
            - type: 'null'
        deregistered_date:
          anyOf:
            - type: string
            - type: 'null'
        homepage:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        mobile:
          anyOf:
            - type: string
            - type: 'null'
        language_form:
          anyOf:
            - type: string
            - type: 'null'
        employee_count:
          anyOf:
            - type: integer
            - type: 'null'
        has_registered_employee_count:
          type: boolean
          default: false
        business_address:
          anyOf:
            - $ref: '#/components/schemas/BrregAddress'
            - type: 'null'
        postal_address:
          anyOf:
            - $ref: '#/components/schemas/BrregAddress'
            - type: 'null'
        industry_code_1:
          anyOf:
            - $ref: '#/components/schemas/BrregIndustryCode'
            - type: 'null'
        industry_code_2:
          anyOf:
            - $ref: '#/components/schemas/BrregIndustryCode'
            - type: 'null'
        industry_code_3:
          anyOf:
            - $ref: '#/components/schemas/BrregIndustryCode'
            - type: 'null'
        sector:
          anyOf:
            - $ref: '#/components/schemas/BrregSector'
            - type: 'null'
        capital:
          anyOf:
            - $ref: '#/components/schemas/BrregCapital'
            - type: 'null'
        historic_names:
          items:
            $ref: '#/components/schemas/BrregHistoricName'
          type: array
          default: []
        purpose:
          items:
            type: string
          type: array
          default: []
        activity:
          items:
            type: string
          type: array
          default: []
        last_submitted_annual_accounts:
          anyOf:
            - type: string
            - type: 'null'
        in_group:
          type: boolean
          default: false
        bankruptcy:
          type: boolean
          default: false
        under_liquidation:
          type: boolean
          default: false
        under_forced_liquidation:
          type: boolean
          default: false
        registered_in_business_register:
          type: boolean
          default: false
        registered_in_vat_register:
          type: boolean
          default: false
        registered_in_foundation_register:
          type: boolean
          default: false
        registered_in_voluntary_register:
          type: boolean
          default: false
        registered_in_party_register:
          type: boolean
          default: false
      type: object
      required:
        - organization_number
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BrregOrgForm:
      type: string
      enum:
        - AAFY
        - ADOS
        - ANNA
        - ANS
        - AS
        - ASA
        - BA
        - BBL
        - BEDR
        - BO
        - BRL
        - DA
        - ENK
        - EOFG
        - ESEK
        - FKF
        - FLI
        - FYLK
        - GFS
        - IKJP
        - IKS
        - KBO
        - KF
        - KIRK
        - KOMM
        - KS
        - KTRF
        - NUF
        - OPMV
        - ORGL
        - PERS
        - PK
        - PRE
        - SA
        - SAM
        - SE
        - SF
        - SPA
        - STAT
        - STI
        - SÆR
        - TVAM
        - UTLA
        - VPFO
    BrregAddress:
      properties:
        '@type':
          type: string
          default: BrregAddress
        address:
          items:
            type: string
          type: array
          default: []
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        municipality:
          anyOf:
            - type: string
            - type: 'null'
        municipality_number:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    BrregIndustryCode:
      properties:
        '@type':
          type: string
          default: BrregIndustryCode
        code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    BrregSector:
      properties:
        '@type':
          type: string
          default: BrregSector
        code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    BrregCapital:
      properties:
        '@type':
          type: string
          default: BrregCapital
        capital_amount:
          anyOf:
            - type: number
            - type: 'null'
        capital_currency:
          anyOf:
            - type: string
            - type: 'null'
        capital_type:
          anyOf:
            - type: string
            - type: 'null'
        share_count:
          anyOf:
            - type: integer
            - type: 'null'
        registered_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    BrregHistoricName:
      properties:
        '@type':
          type: string
          default: BrregHistoricName
        name:
          type: string
        from_date:
          anyOf:
            - type: string
            - type: 'null'
        to_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````